searchNodes=[{"ref":"Ecto.JSON.html","title":"Ecto.JSON","type":"module","doc":"Ecto.JSON makes Ecto able to use any type of data (Integer, String, List, Map, etc.) which is valid JSON, not only key-value maps. Installation The package is available in Hex, it can be installed by adding :ecto_json to your list of dependencies in mix.exs: def deps do [ {:ecto_json, &quot;~&gt; 0.1.0&quot;}, ] end Usage The package is available in Hex, it can be installed by adding :ecto_json to your list of dependencies in mix.exs: defmodule Property do use Ecto.Schema import Ecto.Changeset @primary_key {:id, :binary_id, autogenerate: true} @foreign_key_type :binary_id schema &quot;properties&quot; do field :key, :string field :value, Ecto.JSON timestamps([ type: :utc_datetime, ]) end def changeset(property, attrs) do property |&gt; cast(attrs, [:key, :value]) |&gt; validate_required([:key, :value]) end end"},{"ref":"Ecto.JSON.html#cast/1","title":"Ecto.JSON.cast/1","type":"function","doc":"Casts the given input to the custom type. This callback is called on external input and can return any type, as long as the dump/1 function is able to convert the returned value into an Ecto native type. There are two situations where this callback is called: When casting values by Ecto.Changeset When passing arguments to Ecto.Query When returning {:error, keyword()}, the returned keyword list will be preserved in the changeset errors, similar to Changeset.add_error/4. Passing a :message key, will override the default message. It is not possible to override the :type key. For {:array, CustomType} or {:map, CustomType} the returned keyword list will be erased and the default error will be shown. Callback implementation for Ecto.Type.cast/1."},{"ref":"Ecto.JSON.html#dump/1","title":"Ecto.JSON.dump/1","type":"function","doc":"Dumps the given term into an Ecto native type. This callback is called with any term that was stored in the struct and it needs to validate them and convert it to an Ecto native type. Callback implementation for Ecto.Type.dump/1."},{"ref":"Ecto.JSON.html#embed_as/1","title":"Ecto.JSON.embed_as/1","type":"function","doc":"Dictates how the type should be treated inside embeds. By default, the type is sent as itself, without calling dumping to keep the higher level representation. But it can be set to :dump to it is dumped before encoded. Callback implementation for Ecto.Type.embed_as/1."},{"ref":"Ecto.JSON.html#equal?/2","title":"Ecto.JSON.equal?/2","type":"function","doc":"Checks if two terms are semantically equal. Callback implementation for Ecto.Type.equal?/2."},{"ref":"Ecto.JSON.html#load/1","title":"Ecto.JSON.load/1","type":"function","doc":"Loads the given term into a custom type. This callback is called when loading data from the database and receives an Ecto native type. It can return any type, as long as the dump/1 function is able to convert the returned value back into an Ecto native type. Callback implementation for Ecto.Type.load/1."},{"ref":"Ecto.JSON.html#type/0","title":"Ecto.JSON.type/0","type":"function","doc":"Returns the underlying schema type for the custom type. For example, if you want to provide your own date structures, the type function should return :date. Note this function is not required to return Ecto primitive types, the type is only required to be known by the adapter. Callback implementation for Ecto.Type.type/0."}]